Index: /branches/UserManagement/HeuristicLab.Services.Authentication/Convert.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication/Convert.cs	(revision 4739)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication/Convert.cs	(revision 4740)
@@ -20,11 +20,39 @@
             {
                 ApplicationId = source.ApplicationId,
-                UserId = source.UserId,
-                UserName = source.UserName,
-                LoweredUserName = source.LoweredUserName,
-                IsAnonymous = source.IsAnonymous,
+                UserId = source.Id,
+                UserName = source.Name,
+                //LoweredUserName = source.LoweredUserName,
+                //IsAnonymous = source.IsAnonymous,
                 LastActivityDate = source.LastActivityDate
             };
         }
+
+        ///// <summary>
+        ///// converts data transfer object to data access objet
+        ///// </summary>
+        ///// <param name="source">data transfer object</param>
+        ///// <returns>data access object</returns>
+        //public static aspnet_Membership ToEntity(User source) {
+        //  if (source == null) return null;
+        //  return new aspnet_Membership() {
+        //    ApplicationId = source.ApplicationId,
+        //    UserId = source.Id,
+        //    Password = source.Password,
+        //    PasswordFormat = 1,
+        //    PasswordSalt = source.PasswordSalt,
+        //    Email = source.Email,
+        //    IsApproved = source.IsApproved,
+        //    IsLockedOut = source.IsLookedOut,
+        //    CreateDate = source.CreateDate,
+        //    LastLoginDate = source.LastLoginDate,
+        //    LastPasswordChangedDate = source.LastPasswordChangeDate,
+        //    LastLockoutDate = source.LastLockoutDate,
+        //    FailedPasswordAttemptCount = 0,
+        //    FailedPasswordAttemptWindowStart = new System.DateTime(1900, 01, 01),
+        //    FailedPasswordAnswerAttemptCount = 0,
+        //    FailedPasswordAnswerAttemptWindowStart = new System.DateTime(1900, 01, 01),
+        //    Comment = source.Comment
+        //  };
+        //}
 
         /// <summary>
@@ -33,15 +61,25 @@
         /// <param name="source">data access object</param>
         /// <returns>data transfer object</returns>
-        public static User ToDataTransfer(aspnet_User source)
+        public static User ToDataTransfer(aspnet_User userSource, aspnet_Membership membershipSource)
         {
-            if (source == null) return null;
+            if (userSource == null || membershipSource == null) return null;
             return new User()
             {
-                ApplicationId = source.ApplicationId,
-                UserId = source.UserId,
-                UserName = source.UserName,
-                LoweredUserName = source.LoweredUserName,
-                IsAnonymous = source.IsAnonymous,
-                LastActivityDate = source.LastActivityDate
+                ApplicationId = userSource.ApplicationId,
+                Id = userSource.UserId,
+                Name = userSource.UserName,
+                //LoweredUserName = userSource.LoweredUserName,
+                //IsAnonymous = userSource.IsAnonymous,
+                LastActivityDate = userSource.LastActivityDate,
+                Password = membershipSource.Password,
+                PasswordSalt = membershipSource.PasswordSalt,
+                Email = membershipSource.Email,
+                IsApproved = membershipSource.IsApproved,
+                IsLookedOut = membershipSource.IsApproved,
+                CreateDate = membershipSource.CreateDate,
+                LastLoginDate = membershipSource.LastLoginDate,
+                LastPasswordChangeDate = membershipSource.LastPasswordChangedDate,
+                LastLockoutDate = membershipSource.LastLockoutDate,
+                Comment = membershipSource.Comment
             };
         }
@@ -52,14 +90,32 @@
         /// <param name="source">data transfer object</param>
         /// <param name="target">data access object</param>
-        public static void ToEntity(User source, aspnet_User target)
+        public static void ToEntity(User source, aspnet_User userTarget, aspnet_Membership membershipTarget)
         {
-            if ((source != null) && (target != null))
+            if ((source != null) && (userTarget != null) && (membershipTarget != null))
             {
-                target.ApplicationId = source.ApplicationId;
-                target.UserId = source.UserId;
-                target.UserName = source.UserName;
-                target.LoweredUserName = source.LoweredUserName;
-                target.IsAnonymous = source.IsAnonymous;
-                target.LastActivityDate = source.LastActivityDate;
+              userTarget.ApplicationId = source.ApplicationId;
+              membershipTarget.ApplicationId = source.ApplicationId;
+              userTarget.UserId = source.Id;
+              membershipTarget.UserId = source.Id;
+              userTarget.UserName = source.Name;
+              userTarget.LoweredUserName = source.Name;
+              userTarget.IsAnonymous = false;
+              userTarget.LastActivityDate = source.LastActivityDate;
+              membershipTarget.Password = source.Password;
+              membershipTarget.PasswordFormat = 1;
+              membershipTarget.PasswordSalt = source.PasswordSalt;
+              membershipTarget.Email = source.Email;
+              membershipTarget.IsApproved = source.IsApproved;
+              membershipTarget.IsLockedOut = source.IsLookedOut;
+              membershipTarget.CreateDate = source.CreateDate;
+              membershipTarget.LastLoginDate = source.LastLoginDate;
+              membershipTarget.LastPasswordChangedDate = source.LastPasswordChangeDate;
+              membershipTarget.LastLockoutDate = source.LastLockoutDate;
+              membershipTarget.FailedPasswordAttemptCount = 0;
+              membershipTarget.FailedPasswordAttemptWindowStart = new System.DateTime(1900, 01, 01);
+              membershipTarget.FailedPasswordAnswerAttemptCount = 0;
+              membershipTarget.FailedPasswordAnswerAttemptWindowStart = new System.DateTime(1900, 01, 01);
+              membershipTarget.Comment = source.Comment;
+
             }
 
@@ -71,54 +127,54 @@
         #region Application
 
-        /// <summary>
-        /// converts data transfer object to data access objet
-        /// </summary>
-        /// <param name="source">data transfer object</param>
-        /// <returns>data access object</returns>
-        public static aspnet_Application ToEntity(Application source)
-        {
-            if (source == null) return null;
-            return new aspnet_Application()
-            {
-                ApplicationId = source.ApplicationId,
-                ApplicationName = source.ApplicationName,
-                LoweredApplicationName = source.LoweredApplicationName,
-                Description = source.Description
-            };
-        }
-
-        /// <summary>
-        /// converts data access object to data transfer object
-        /// </summary>
-        /// <param name="source">data access object</param>
-        /// <returns>data transfer object</returns>
-        public static Application ToDataTransfer(aspnet_Application source)
-        {
-            if (source == null) return null;
-            return new Application()
-            {
-                ApplicationId = source.ApplicationId,
-                ApplicationName = source.ApplicationName,
-                LoweredApplicationName = source.LoweredApplicationName,
-                Description = source.Description
-            };
-        }
-
-        /// <summary>
-        /// converts data transfer object to data access object
-        /// </summary>
-        /// <param name="source">data transfer object</param>
-        /// <param name="target">data access object</param>
-        public static void ToEntity(Application source, aspnet_Application target)
-        {
-            if ((source != null) && (target != null))
-            {
-                target.ApplicationId = source.ApplicationId;
-                target.ApplicationName = source.ApplicationName;
-                target.LoweredApplicationName = source.LoweredApplicationName;
-                target.Description = source.Description;
-            }
-
-        }
+        ///// <summary>
+        ///// converts data transfer object to data access objet
+        ///// </summary>
+        ///// <param name="source">data transfer object</param>
+        ///// <returns>data access object</returns>
+        //public static aspnet_Application ToEntity(Application source)
+        //{
+        //    if (source == null) return null;
+        //    return new aspnet_Application()
+        //    {
+        //        ApplicationId = source.ApplicationId,
+        //        ApplicationName = source.ApplicationName,
+        //        LoweredApplicationName = source.LoweredApplicationName,
+        //        Description = source.Description
+        //    };
+        //}
+
+        ///// <summary>
+        ///// converts data access object to data transfer object
+        ///// </summary>
+        ///// <param name="source">data access object</param>
+        ///// <returns>data transfer object</returns>
+        //public static Application ToDataTransfer(aspnet_Application source)
+        //{
+        //    if (source == null) return null;
+        //    return new Application()
+        //    {
+        //        ApplicationId = source.ApplicationId,
+        //        ApplicationName = source.ApplicationName,
+        //        LoweredApplicationName = source.LoweredApplicationName,
+        //        Description = source.Description
+        //    };
+        //}
+
+        ///// <summary>
+        ///// converts data transfer object to data access object
+        ///// </summary>
+        ///// <param name="source">data transfer object</param>
+        ///// <param name="target">data access object</param>
+        //public static void ToEntity(Application source, aspnet_Application target)
+        //{
+        //    if ((source != null) && (target != null))
+        //    {
+        //        target.ApplicationId = source.ApplicationId;
+        //        target.ApplicationName = source.ApplicationName;
+        //        target.LoweredApplicationName = source.LoweredApplicationName;
+        //        target.Description = source.Description;
+        //    }
+
+        //}
 
         #endregion
@@ -126,92 +182,92 @@
         #region Membership
 
-        /// <summary>
-        /// converts data transfer object to data access objet
-        /// </summary>
-        /// <param name="source">data transfer object</param>
-        /// <returns>data access object</returns>
-        public static aspnet_Membership ToEntity(Membership source)
-        {
-            if (source == null) return null;
-            return new aspnet_Membership()
-            {
-                ApplicationId = source.ApplicationId,
-                UserId = source.UserId,
-                Password = source.Password,
-                PasswordAnswer = source.PasswordAnswer,
-                PasswordSalt = source.PasswordSalt,
-                PasswordQuestion = source.PasswordQuestion,
+        ///// <summary>
+        ///// converts data transfer object to data access objet
+        ///// </summary>
+        ///// <param name="source">data transfer object</param>
+        ///// <returns>data access object</returns>
+        //public static aspnet_Membership ToEntity(Membership source)
+        //{
+        //    if (source == null) return null;
+        //    return new aspnet_Membership()
+        //    {
+        //        ApplicationId = source.ApplicationId,
+        //        UserId = source.UserId,
+        //        Password = source.Password,
+        //        PasswordAnswer = source.PasswordAnswer,
+        //        PasswordSalt = source.PasswordSalt,
+        //        PasswordQuestion = source.PasswordQuestion,
                
-                Email = source.Email,
-                LoweredEmail = source.LoweredEmail,
-                IsApproved = source.IsApproved,
-                IsLockedOut = source.IsLockedOut,
-                CreateDate = source.CreateDate,
-                LastLoginDate = source.LastLoginDate,
-                LastPasswordChangedDate = source.LastPasswordChangedDate,
-                LastLockoutDate = source.LastLockoutDate,
-                Comment = source.Comment
+        //        Email = source.Email,
+        //        LoweredEmail = source.LoweredEmail,
+        //        IsApproved = source.IsApproved,
+        //        IsLockedOut = source.IsLockedOut,
+        //        CreateDate = source.CreateDate,
+        //        LastLoginDate = source.LastLoginDate,
+        //        LastPasswordChangedDate = source.LastPasswordChangedDate,
+        //        LastLockoutDate = source.LastLockoutDate,
+        //        Comment = source.Comment
 
                 
-            };
-        }
-
-        /// <summary>
-        /// converts data access object to data transfer object
-        /// </summary>
-        /// <param name="source">data access object</param>
-        /// <returns>data transfer object</returns>
-        public static Membership ToDataTransfer(aspnet_Membership source)
-        {
-            if (source == null) return null;
-            return new Membership()
-            {
-                ApplicationId = source.ApplicationId,
-                UserId = source.UserId,
-                Password = source.Password,
-                PasswordAnswer = source.PasswordAnswer,
-                PasswordSalt = source.PasswordSalt,
-                PasswordQuestion = source.PasswordQuestion,
+        //    };
+        //}
+
+        ///// <summary>
+        ///// converts data access object to data transfer object
+        ///// </summary>
+        ///// <param name="source">data access object</param>
+        ///// <returns>data transfer object</returns>
+        //public static Membership ToDataTransfer(aspnet_Membership source)
+        //{
+        //    if (source == null) return null;
+        //    return new Membership()
+        //    {
+        //        ApplicationId = source.ApplicationId,
+        //        UserId = source.UserId,
+        //        Password = source.Password,
+        //        PasswordAnswer = source.PasswordAnswer,
+        //        PasswordSalt = source.PasswordSalt,
+        //        PasswordQuestion = source.PasswordQuestion,
                
-                Email = source.Email,
-                LoweredEmail = source.LoweredEmail,
-                IsApproved = source.IsApproved,
-                IsLockedOut = source.IsLockedOut,
-                CreateDate = source.CreateDate,
-                LastLoginDate = source.LastLoginDate,
-                LastPasswordChangedDate = source.LastPasswordChangedDate,
-                LastLockoutDate = source.LastLockoutDate,
-                Comment = source.Comment
-            };
-        }
-
-        /// <summary>
-        /// converts data transfer object to data access object
-        /// </summary>
-        /// <param name="source">data transfer object</param>
-        /// <param name="target">data access object</param>
-        public static void ToEntity(Membership source, aspnet_Membership target)
-        {
-            if ((source != null) && (target != null))
-            {
-                target.ApplicationId = source.ApplicationId;
-                target.UserId = source.UserId;
-                target.Password = source.Password;
-                target.PasswordAnswer = source.PasswordAnswer;
-                target.PasswordSalt = source.PasswordSalt;
-                target.PasswordQuestion = source.PasswordQuestion;
+        //        Email = source.Email,
+        //        LoweredEmail = source.LoweredEmail,
+        //        IsApproved = source.IsApproved,
+        //        IsLockedOut = source.IsLockedOut,
+        //        CreateDate = source.CreateDate,
+        //        LastLoginDate = source.LastLoginDate,
+        //        LastPasswordChangedDate = source.LastPasswordChangedDate,
+        //        LastLockoutDate = source.LastLockoutDate,
+        //        Comment = source.Comment
+        //    };
+        //}
+
+        ///// <summary>
+        ///// converts data transfer object to data access object
+        ///// </summary>
+        ///// <param name="source">data transfer object</param>
+        ///// <param name="target">data access object</param>
+        //public static void ToEntity(Membership source, aspnet_Membership target)
+        //{
+        //    if ((source != null) && (target != null))
+        //    {
+        //        target.ApplicationId = source.ApplicationId;
+        //        target.UserId = source.UserId;
+        //        target.Password = source.Password;
+        //        target.PasswordAnswer = source.PasswordAnswer;
+        //        target.PasswordSalt = source.PasswordSalt;
+        //        target.PasswordQuestion = source.PasswordQuestion;
                
-                target.Email = source.Email;
-                target.LoweredEmail = source.LoweredEmail;
-                target.IsApproved = source.IsApproved;
-                target.IsLockedOut = source.IsLockedOut;
-                target.CreateDate = source.CreateDate;
-                target.LastLoginDate = source.LastLoginDate;
-                target.LastPasswordChangedDate = source.LastPasswordChangedDate;
-                target.LastLockoutDate = source.LastLockoutDate;
-                target.Comment = source.Comment;
-            }
-
-        }
+        //        target.Email = source.Email;
+        //        target.LoweredEmail = source.LoweredEmail;
+        //        target.IsApproved = source.IsApproved;
+        //        target.IsLockedOut = source.IsLockedOut;
+        //        target.CreateDate = source.CreateDate;
+        //        target.LastLoginDate = source.LastLoginDate;
+        //        target.LastPasswordChangedDate = source.LastPasswordChangedDate;
+        //        target.LastLockoutDate = source.LastLockoutDate;
+        //        target.Comment = source.Comment;
+        //    }
+
+        //}
 
         #endregion
@@ -219,57 +275,57 @@
         #region Role
 
-        /// <summary>
-        /// converts data transfer object to data access objet
-        /// </summary>
-        /// <param name="source">data transfer object</param>
-        /// <returns>data access object</returns>
-        public static aspnet_Role ToEntity(Role source)
-        {
-            if (source == null) return null;
-            return new aspnet_Role()
-            {
-                ApplicationId = source.ApplicationId,
-                RoleId = source.RoleId,
-                RoleName = source.RoleName,
-                LoweredRoleName = source.LoweredRoleName,
-                Description = source.Description
-            };
-        }
-
-        /// <summary>
-        /// converts data access object to data transfer object
-        /// </summary>
-        /// <param name="source">data access object</param>
-        /// <returns>data transfer object</returns>
-        public static Role ToDataTransfer(aspnet_Role source)
-        {
-            if (source == null) return null;
-            return new Role()
-            {
-                ApplicationId = source.ApplicationId,
-                RoleId = source.RoleId,
-                RoleName = source.RoleName,
-                LoweredRoleName = source.LoweredRoleName,
-                Description = source.Description
-            };
-        }
-
-        /// <summary>
-        /// converts data transfer object to data access object
-        /// </summary>
-        /// <param name="source">data transfer object</param>
-        /// <param name="target">data access object</param>
-        public static void ToEntity(Role source, aspnet_Role target)
-        {
-            if ((source != null) && (target != null))
-            {
-                target.ApplicationId = source.ApplicationId;
-                target.RoleId = source.RoleId;
-                target.RoleName = source.RoleName;
-                target.LoweredRoleName = source.LoweredRoleName;
-                target.Description = source.Description;
-            }
-
-        }
+        ///// <summary>
+        ///// converts data transfer object to data access objet
+        ///// </summary>
+        ///// <param name="source">data transfer object</param>
+        ///// <returns>data access object</returns>
+        //public static aspnet_Role ToEntity(Role source)
+        //{
+        //    if (source == null) return null;
+        //    return new aspnet_Role()
+        //    {
+        //        ApplicationId = source.ApplicationId,
+        //        RoleId = source.RoleId,
+        //        RoleName = source.RoleName,
+        //        LoweredRoleName = source.LoweredRoleName,
+        //        Description = source.Description
+        //    };
+        //}
+
+        ///// <summary>
+        ///// converts data access object to data transfer object
+        ///// </summary>
+        ///// <param name="source">data access object</param>
+        ///// <returns>data transfer object</returns>
+        //public static Role ToDataTransfer(aspnet_Role source)
+        //{
+        //    if (source == null) return null;
+        //    return new Role()
+        //    {
+        //        ApplicationId = source.ApplicationId,
+        //        RoleId = source.RoleId,
+        //        RoleName = source.RoleName,
+        //        LoweredRoleName = source.LoweredRoleName,
+        //        Description = source.Description
+        //    };
+        //}
+
+        ///// <summary>
+        ///// converts data transfer object to data access object
+        ///// </summary>
+        ///// <param name="source">data transfer object</param>
+        ///// <param name="target">data access object</param>
+        //public static void ToEntity(Role source, aspnet_Role target)
+        //{
+        //    if ((source != null) && (target != null))
+        //    {
+        //        target.ApplicationId = source.ApplicationId;
+        //        target.RoleId = source.RoleId;
+        //        target.RoleName = source.RoleName;
+        //        target.LoweredRoleName = source.LoweredRoleName;
+        //        target.Description = source.Description;
+        //    }
+
+        //}
 
         #endregion
Index: /branches/UserManagement/HeuristicLab.Services.Authentication/Interfaces/IAuthenticationService.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication/Interfaces/IAuthenticationService.cs	(revision 4739)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication/Interfaces/IAuthenticationService.cs	(revision 4740)
@@ -15,27 +15,27 @@
         User GetUser(Guid id);
 
-        [OperationContract]
-        User GetUser(Guid applicationId, string userName);
+        //[OperationContract]
+        //User GetUser(Guid applicationId, string userName);
 
-        [OperationContract]
-        IEnumerable<User> GetUsers(Guid applicationId);
+        //[OperationContract]
+        //IEnumerable<User> GetUsers(Guid applicationId);
 
-        [OperationContract]
-        bool InsertUser(User user);
+        //[OperationContract]
+        //bool InsertUser(User user);
 
-        [OperationContract]
-        bool DeleteUser(Guid id);
+        //[OperationContract]
+        //bool DeleteUser(Guid id);
 
-        [OperationContract]
-        bool UpdateUser(User user);
+        //[OperationContract]
+        //bool UpdateUser(User user);
 
-        [OperationContract]
-        bool AddUserToRole(Guid roleId, Guid userId);
+        //[OperationContract]
+        //bool AddUserToRole(Guid roleId, Guid userId);
 
-        [OperationContract]
-        bool RemoveUserFromRole(Guid roleId, Guid userId);
+        //[OperationContract]
+        //bool RemoveUserFromRole(Guid roleId, Guid userId);
 
-        [OperationContract]
-        IEnumerable<Role> GetRolesForUser(Guid userId);
+        //[OperationContract]
+        //IEnumerable<Role> GetRolesForUser(Guid userId);
 
         #endregion
@@ -43,30 +43,30 @@
         #region Role
 
-        [OperationContract]
-        Role GetRole(Guid id);
+        //[OperationContract]
+        //Role GetRole(Guid id);
         
-        [OperationContract]
-        Role GetRole(Guid applicationId, string roleName);
+        //[OperationContract]
+        //Role GetRole(Guid applicationId, string roleName);
 
-        [OperationContract]
-        IEnumerable<Role> GetRoles(Guid applicationId);
+        //[OperationContract]
+        //IEnumerable<Role> GetRoles(Guid applicationId);
 
-        [OperationContract]
-        bool RoleExists(Guid roleId);
+        //[OperationContract]
+        //bool RoleExists(Guid roleId);
 
-        [OperationContract]
-        bool IsUserInRole(Guid roleId, Guid userId);
+        //[OperationContract]
+        //bool IsUserInRole(Guid roleId, Guid userId);
         
-        [OperationContract]
-        bool InsertRole(Role role);
+        //[OperationContract]
+        //bool InsertRole(Role role);
 
-        [OperationContract]
-        bool UpdateRole(Role role);
+        //[OperationContract]
+        //bool UpdateRole(Role role);
 
-        [OperationContract]
-        bool DeleteRole(Guid id);
+        //[OperationContract]
+        //bool DeleteRole(Guid id);
 
-        [OperationContract]
-        IEnumerable<User> GetUsersInRole(Guid roleId);
+        //[OperationContract]
+        //IEnumerable<User> GetUsersInRole(Guid roleId);
        
         #endregion
@@ -74,15 +74,15 @@
         #region Application
 
-        [OperationContract]
-        Application GetApplication(Guid id);
+        //[OperationContract]
+        //Application GetApplication(Guid id);
 
-        [OperationContract]
-        Application InsertApplication(Application application);
+        //[OperationContract]
+        //Application InsertApplication(Application application);
 
-        [OperationContract]
-        bool DeleteApplication(Application application);
+        //[OperationContract]
+        //bool DeleteApplication(Application application);
 
-         [OperationContract]
-        IEnumerable<DataTransfer.Application> GetApplications();
+        // [OperationContract]
+        //IEnumerable<DataTransfer.Application> GetApplications();
 
         #endregion
@@ -90,6 +90,6 @@
         #region Membership
 
-        [OperationContract]
-        Membership InsertMembership(Membership membership);
+        //[OperationContract]
+        //Membership InsertMembership(Membership membership);
 
         #endregion
